Bug 216809 - lang/yap: fails to build with gcc5 or later
Summary: lang/yap: fails to build with gcc5 or later
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 216707
  Show dependency treegraph
 
Reported: 2017-02-05 06:36 UTC by Jan Beich
Modified: 2017-02-10 21:07 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-02-05 06:36:10 UTC
./Solver.C: In member function 'bool Solver::addClause(vec<Lit>&)':
./Solver.C:123:41: error: 'Clause_new' was not declared in this scope
         Clause* c = Clause_new(ps, false);
                                         ^
./Solver.C:123:41: note: suggested alternative:
In file included from ./Solver.h:29:0,
                 from ./Solver.C:20:
./SolverTypes.h:122:20: note:   'Clause_new'
     friend Clause* Clause_new(const V& ps, bool learnt = false) {
                    ^
./Solver.C: In member function 'lbool Solver::search(int, int)':
./Solver.C:602:59: error: 'Clause_new' was not declared in this scope
                 Clause* c = Clause_new(learnt_clause, true);
                                                           ^
./Solver.C:602:59: note: suggested alternative:
In file included from ./Solver.h:29:0,
                 from ./Solver.C:20:
./SolverTypes.h:122:20: note:   'Clause_new'
     friend Clause* Clause_new(const V& ps, bool learnt = false) {
                    ^

http://package23.nyi.freebsd.org/data/103amd64-default-PR216707/2017-02-03_20h32m45s/logs/errors/yap-6.2.2_2.log
http://package22.nyi.freebsd.org/data/103i386-default-PR216707/2017-02-03_20h32m46s/logs/errors/yap-6.2.2_2.log
Comment 1 Gerald Pfeifer freebsd_committer 2017-02-06 10:53:41 UTC
Changing to "Affects Many People" since this is a dependency of the
update to GCC 5.  

Thanks for looking into this, Danilo!
Comment 2 commit-hook freebsd_committer 2017-02-10 21:06:47 UTC
A commit references this bug:

Author: jbeich
Date: Fri Feb 10 21:05:49 UTC 2017
New revision: 433825
URL: https://svnweb.freebsd.org/changeset/ports/433825

Log:
  lang/yap{,-devel}: use clang and unbreak with gcc5 or later

  In file included from ./Solver.C:20:
  In file included from ./Solver.h:29:
  ./SolverTypes.h:122:20: error: friend declaration specifying a default argument must be a definition
      friend Clause* Clause_new(const V& ps, bool learnt = false);
                     ^
  ./SolverTypes.h:147:9: error: friend declaration specifying a default argument must be the only
        declaration
  Clause* Clause_new(const V& ps, bool learnt) {
          ^
  ./SolverTypes.h:122:20: note: previous declaration is here
      friend Clause* Clause_new(const V& ps, bool learnt = false);
                     ^
  ./Solver.C:123:21: error: no matching function for call to 'Clause_new'
          Clause* c = Clause_new(ps, false);
                      ^~~~~~~~~~
  ./Solver.C:602:29: error: no matching function for call to 'Clause_new'
                  Clause* c = Clause_new(learnt_clause, true);
                              ^~~~~~~~~~
  4 errors generated.

  PR:		216809
  Obtained from:	upstream
  Approved by:	portmgr blanket

Changes:
  head/lang/yap/Makefile
  head/lang/yap/files/patch-configure
  head/lang/yap/files/patch-packages_swi-minisat2_C_SolverTypes.h
  head/lang/yap-devel/Makefile
  head/lang/yap-devel/files/patch-configure
  head/lang/yap-devel/files/patch-packages_swi-minisat2_C_SolverTypes.h
Comment 3 Jan Beich freebsd_committer 2017-02-10 21:07:38 UTC
Oops. ;)